[tool.poetry]
name = "whoson"
version = "0.1.0"
description = ""
authors = ["Nick Aquino <aquino.nj@gmail.com>"]

[tool.poetry.dependencies]
python = "^3.10"
"discord.py" = "2.2.2"
PyNaCl = "1.5.0"
yt-dlp = "2023.3.4"
requests = "^2.28.2"
pydub = "^0.25.1"

[tool.poetry.dev-dependencies]
flake8 = "4.0.1"
Flake8-pyproject = "0.9.0"
black = "22.6.0"
mypy = "0.961"
pytest = "^7.1.2"
pytest-mock = "^3.8.1"
pytest-asyncio = "^0.18.3"
pytest-cov = "^3.0.0"
coverage = "^7.2.2"
types-requests = "^2.28.11.16"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.flake8]
exclude = ['config.py']
max-line-length = 120
count = true
ignore = "E203,W503"
select = "W504"

[tool.black]
line-length = 120

[tool.mypy]
ignore_missing_imports = true

[tool.pytest.ini_options]
asyncio_mode = "auto"
testpaths = [
    "tests/",
]
